<?php

use App\Models\Ad;

if(!function_exists('get_ad')){
    function get_ad($ad){
        $ad = Ad::where('ad_placement', $ad)->first();

        return $ad ? $ad->value : '';
    }
}

if(!function_exists('set_ad')){
    function set_ad($placement, $value){
        $element = Ad::where('ad_placement', $placement);

        if($element->exists()){
            Ad::where('ad_placement', $placement)->update(['value' => $value]);
        }else{
            Ad::create([
                'ad_placement'  => $placement,
                'value'         => $value
            ]);
        }
    }
}
