<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Analytic extends Model
{
    use HasFactory;

    protected $fillable = ['user_id', 'target_id', 'type', 'views_count'];

    // public function target(){
    //     // return $this->morphTo('target', 'type', 'target_id');
    //     return $this->morphTo();
    // }

    public function thread(){
        return $this->hasOne(Thread::class, 'id', 'target_id');
    }

    public function job(){
        return $this->hasOne(Job::class, 'id', 'target_id');
    }
}
