<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Collection;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Message extends Model{
    use HasFactory;

    protected $fillable = ['sender_id', 'recivier_id'];

    public function senderUser(){
        return $this->hasOne(User::class, 'id', 'sender_id');
    }

    public function receiptUser(){
        return $this->hasOne(User::class, 'id', 'recivier_id');
    }

    public function contents(){
        return $this->hasMany(MessageContent::class, 'message_id', 'id');
    }
}
