<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\User;
use App\Models\Comment;

class Notification extends Model
{
    use HasFactory;

    protected $fillable = ['sender_id', 'user_id', 'target_id', 'type', 'read'];

    public function user(){
        return $this->hasOne(User::class, 'id', 'sender_id');
    }

    public function thread(){
        return $this->hasOne(Thread::class, 'id', 'target_id');
    }
}
