<?php

namespace App\View\Components\User;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class DropdownBox extends Component
{
    public $username, $name, $about, $photo;
    /**
     * Create a new component instance.
     */
    public function __construct($username, $name, $about, $photo)
    {
        $this->username = $username;
        $this->name = $name;
        $this->about = $about;
        $this->photo = $photo;
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.user.dropdown-box');
    }
}
