<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\MessageContent>
 */
class MessageContentFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'message_id'    => fake()->numberBetween(1,11),
            'sender_id' => fake()->numberBetween(1, 11),
            'content'       => fake()->paragraph(),
            'viewed'        => fake()->numberBetween(0, 1)
        ];
    }
}
