<div class="xl:flex">
    <div class="md:flex flex-1">
        <x-parts.left-sidebar />
        <div class="flex-1 md:ml-8 xl:mx-4 2xl:mx-8">
            <div class="md:py-8">

                @if(get_ad('favorite_header'))
                <div class="mb-4">
                    {!! get_ad('favorite_header') !!}
                </div>
                @endif

                <div class="space-y-2">
                    @if($threads->count() > 0)
                        @foreach($threads as $thread)
                            <livewire:thread.item :itemid="$thread->id" :key="$thread->id" />
                            @if($threads->count() > 6)
                                @if (($index + 1) % 5 === 0 && get_ad('favorite_between_posts'))
                                    <div>{!! get_ad('favorite_between_posts') !!}</div>
                                @endif
                            @endif
                        @endforeach

                        <div class="mt-5">{{ $threads->links() }}</div>
                    @else
                        <p>{{ __('There are currently no posts to display.') }}</p>
                    @endif
                </div>
            </div>
        </div>
    </div>

    <x-parts.right-sidebar />
</div>
