<div class="relative">
    <button
        id="dropdownMenuIconButton" data-dropdown-toggle="dropdownDots"
        class="inline-flex items-center p-2 text-sm font-medium text-center text-gray-900"
        type="button"
    >
        <svg
            class="w-4 h-4" aria-hidden="true"
            xmlns="http://www.w3.org/2000/svg"
            fill="currentColor"
            viewBox="0 0 4 15"
        >
            <path
                d="M3.5 1.5a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0Zm0 6.041a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0Zm0 5.959a1.5 1.5 0 1 1-3 0 1.5 1.5 0 0 1 3 0Z" />
        </svg>
    </button>
    <!-- Dropdown menu -->
    <div
        id="dropdownDots"
        class="absolute top-full right-0 z-10 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-44 dark:bg-gray-700 dark:divide-gray-600">
        <ul class="py-2 text-sm text-gray-700 dark:text-gray-200"
            aria-labelledby="dropdownMenuIconButton">
            <li>
                <a
                    href="#"
                    class="block px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600 dark:hover:text-white">Düzenle</a>
            </li>
            <li>
                <a href="#"
                    class="block px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600 dark:hover:text-white">Sil</a>
            </li>
        </ul>
        <div class="py-2">
            <button
                type="button"
                wire:click="editStatus('{{$status == "published" ? "archive" : "published"}}')"
                class="w-full block px-4 py-2 text-sm text-gray-700 hover:bg-gray-100 dark:hover:bg-gray-600 dark:text-gray-200 dark:hover:text-white">
                {{ $statusText }}
            </button>
        </div>
    </div>
</div>
