<!-- Right content -->
<div class="w-full hidden xl:block xl:w-72" wire:ignore>
    <div class="lg:sticky lg:top-16 lg:h-[calc(100dvh-64px)] lg:overflow-x-hidden lg:overflow-y-auto no-scrollbar">
        <div class="md:py-8">

            <!-- __BLOCK__ --><?php if(!Route::is('thread') && !Route::is('new-thread') && !Route::is('notifications')): ?>
            <!-- Button -->
            <div class="mb-6">
                <!-- __BLOCK__ --><?php if(Route::is('jobs.index')): ?>
                <a
                    <?php if(Auth::check()): ?>
                        href="<?php echo e(route('jobs.create')); ?>"
                        wire:navigate
                    <?php endif; ?>
                    class="p-2 text-sm rounded-md font-medium transition-all w-full bg-indigo-500 block text-center hover:bg-indigo-600 text-white cursor-pointer <?php echo e(!Auth::check() ? 'not-login' : ''); ?> ">
                    <?php echo e(__('Post A Job')); ?>

                </a>
                <?php else: ?>
                <a
                    <?php if(Auth::check()): ?>
                        href="<?php echo e(route('new-thread')); ?>"
                        wire:navigate
                    <?php endif; ?>
                    class="p-2 text-sm rounded-md font-medium transition-all w-full bg-indigo-500 block text-center hover:bg-indigo-600 text-white cursor-pointer <?php echo e(!Auth::check() ? 'not-login' : ''); ?> ">
                    <?php echo e(__('Create Post')); ?>

                </a>
                <?php endif; ?> <!-- __ENDBLOCK__ -->
            </div>
            <?php endif; ?> <!-- __ENDBLOCK__ -->

            <!-- Blocks -->
            <div class="space-y-4">

                <!-- __BLOCK__ --><?php if(Route::is('thread')): ?>
                    <?php
$__split = function ($name, $params = []) {
    return [$name, $params];
};
[$__name, $__params] = $__split('thread.profile-box', ['user' => $user]);

$__html = app('livewire')->mount($__name, $__params, '8nIsyuj', $__slots ?? [], get_defined_vars());

echo $__html;

unset($__html);
unset($__name);
unset($__params);
unset($__split);
if (isset($__slots)) unset($__slots);
?>
                <?php endif; ?> <!-- __ENDBLOCK__ -->

                <!-- __BLOCK__ --><?php if(!Route::is('thread') && !Route::is('jobs.index')): ?>
                <!-- Block 1 -->
                <div class="bg-slate-50 dark:bg-slate-800/20 p-4 rounded border border-slate-200 dark:border-slate-700">
                    <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase mb-4"><?php echo e(__('Top Categories')); ?></div>
                    <ul class="space-y-3">
                        <!-- __BLOCK__ --><?php $__currentLoopData = $popular_categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li>
                            <div class="flex items-center justify-between">
                                <div class="grow flex items-center">
                                    <div class="truncate">
                                        <span class="text-sm font-medium text-slate-800 dark:text-slate-100"><?php echo e($category->title); ?></span>
                                    </div>
                                </div>
                                <a
                                    wire:navigate
                                    href="<?php echo e(route('category', $category->slug)); ?>"
                                    class="text-xs inline-flex font-medium bg-indigo-100 dark:bg-indigo-500/30 text-indigo-600 dark:text-indigo-400 rounded-full text-center px-2.5 py-1">
                                    <?php echo e(__('View')); ?>

                                </a>
                            </div>
                        </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!-- __ENDBLOCK__ -->
                    </ul>
                </div>
                <?php endif; ?> <!-- __ENDBLOCK__ -->

                <!-- Block 2 -->
                <div class="bg-slate-50 dark:bg-slate-800/20 p-4 rounded border border-slate-200 dark:border-slate-700">
                    <div class="text-xs font-semibold text-slate-400 dark:text-slate-500 uppercase mb-4"><?php echo e(__('Who To Follow')); ?></div>
                    <ul class="space-y-3">
                        <!-- __BLOCK__ --><?php $__currentLoopData = $recommended_users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <?php
$__split = function ($name, $params = []) {
    return [$name, $params];
};
[$__name, $__params] = $__split('user.recommended', ['user' => $user,'uid' => $user->id]);

$__html = app('livewire')->mount($__name, $__params, '27GXOkG', $__slots ?? [], get_defined_vars());

echo $__html;

unset($__html);
unset($__name);
unset($__params);
unset($__split);
if (isset($__slots)) unset($__slots);
?>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> <!-- __ENDBLOCK__ -->
                    </ul>
                </div>

                <!-- __BLOCK__ --><?php if(get_ad('right_sidebar')): ?>
                    <div class="my-4">
                        <?php echo get_ad('right_sidebar'); ?>

                    </div>
                <?php endif; ?> <!-- __ENDBLOCK__ -->
            </div>
        </div>
    </div>
</div>
<?php /**PATH /Users/ferdisahin/Downloads/typn-community-freelancer/resources/views/components/parts/right-sidebar.blade.php ENDPATH**/ ?>