<?php

use App\Models\Setting;

if (!function_exists('get_setting')) {
    function get_setting($name, $default = null) {
        $setting = Setting::where('name', $name)->first();

        return $setting ? $setting->value : $default;
    }
}

if(!function_exists('set_setting')){
    function set_setting($name, $value){
        $element = Setting::where('name', $name);
        if($element->exists()){
            Setting::where('name', $name)->update(['value' => $value]);
        }else{
            Setting::create([
                'name' => $name,
                'value' => $value
            ]);
        }
    }
}
