<?php

namespace App\Http\Controllers;

use App\Models\Subscription;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class PaymentController extends Controller{

    public function Successfully($value){

        if($value == 'month'){
            $expiration = now()->addDays(30);
        }else{
            $expiration = now()->addDays(365);
        }

        Subscription::create([
            'user_id'           => Auth::id(),
            'expiration_date'   => $expiration
        ]);

        return redirect()->route('edit-profile.premium')->with('success', __('You have switched to premium membership.'));
    }

}
