<?php

namespace App\Livewire\Dashboard;

use Livewire\Component;

class Ad extends Component{

    public $tab;

    // Ads
    public $home_between_posts;
    public $home_under_tab;

    public $left_sidebar;
    public $right_sidebar;

    public $article_top;
    public $under_comment_form;

    public $favorite_between_posts;
    public $favorite_header;

    public $job_under_search_form;
    public $job_content_top;
    public $job_above_apply_button;
    public $job_sidebar;

    public function mount($tab = null){
        $this->tab = $tab;

        $this->home_between_posts = get_ad('home_between_posts');
        $this->home_under_tab = get_ad('home_under_tab');
        $this->left_sidebar = get_ad('left_sidebar');
        $this->right_sidebar = get_ad('right_sidebar');
        $this->article_top = get_ad('article_top');
        $this->under_comment_form = get_ad('under_comment_form');
        $this->favorite_between_posts = get_ad('favorite_between_posts');
        $this->favorite_header = get_ad('favorite_header');
        $this->job_under_search_form = get_ad('job_under_search_form');
        $this->job_content_top = get_ad('job_content_top');
        $this->job_above_apply_button = get_ad('job_above_apply_button');
        $this->job_sidebar = get_ad('job_sidebar');
    }

    public function save(){
        set_ad('home_between_posts', $this->home_between_posts);
        set_ad('home_under_tab', $this->home_under_tab);
        set_ad('left_sidebar', $this->left_sidebar);
        set_ad('right_sidebar', $this->right_sidebar);
        set_ad('article_top', $this->article_top);
        set_ad('under_comment_form', $this->under_comment_form);
        set_ad('favorite_between_posts', $this->favorite_between_posts);
        set_ad('favorite_header', $this->favorite_header);
        set_ad('job_under_search_form', $this->job_under_search_form);
        set_ad('job_content_top', $this->job_content_top);
        set_ad('job_above_apply_button', $this->job_above_apply_button);
        set_ad('job_sidebar', $this->job_sidebar);

        return redirect()->back()->with('success', __('Ad placements have been updated successfully.'));
    }

    public function render(){
        return view('livewire.dashboard.ad')->title(__('Ads'));
    }
}
