<?php

namespace App\Livewire;

use App\Models\Favorite;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Livewire\Component;

class Favorites extends Component{
    public function render(){
        $threads = User::find(Auth::id())->favorites()->paginate(10);
        return view('livewire.favorites', compact('threads'))->title(__('Favorites'));
    }
}
