<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Models\User;

class JobApplication extends Model{
    use HasFactory;

    protected $fillable = ['user_id', 'job_id', 'day', 'content'];

    public function user(){
        return $this->hasOne(User::class, 'id', 'user_id');
    }
}
