<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MessageContent extends Model
{
    use HasFactory;

    protected $fillable = ['message_id', 'sender_id', 'content'];

    public function senderUser(){
        return $this->hasOne(User::class, 'id', 'sender_id');
    }
}
