<?php

namespace App\View\Components\Parts;

use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

class LeftSidebar extends Component
{
    public $jobcategories;
    /**
     * Create a new component instance.
     */
    public function __construct($jobcategories = null){
        $this->jobcategories = $jobcategories;
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string{
        return view('components.parts.left-sidebar');
    }
}
