<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Notification>
 */
class NotificationFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'sender_id' => fake()->numberBetween(1,10),
            'user_id'   => 11,
            'target_id' => fake()->numberBetween(1, 100),
            'type'      => fake()->randomElement(['thread_like', 'comment_like', 'reply_like', 'thread_comment', 'comment_reply'])
        ];
    }
}
