<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;

use Database\Seeders\JobCategorySeeder;
use Illuminate\Database\Seeder;
use Database\Seeders\CategorySeeder;
use Database\Seeders\ThreadSeeder;
use Database\Seeders\UserSeeder;
use Database\Seeders\CommentSeeder;


class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        // \App\Models\User::factory(10)->create();

        // \App\Models\User::factory()->create([
        //     'name' => 'Test User',
        //     'email' => 'test@example.com',
        // ]);
        $this->call([
            CategorySeeder::class,
            ThreadSeeder::class,
            UserSeeder::class,
            CommentSeeder::class,
            JobSeeder::class,
            JobCategorySeeder::class,
            MessageSeeder::class,
            NotificationSeeder::class
            // MessageContentSeeder::class
        ]);
    }
}
