<div class="relative">
    @if($user->profile_photo_path)
        <img
            src="{{ asset('storage/profile-photos/' . $user->profile_photo_path) }}"
            class="{{$class ? $class : 'w-8 h-8'}} rounded-full"
            alt="{{$user->username}}"
        >
    @else
        <div class="{{$class ? $class : 'w-8 h-8'}} bg-gray-100 dark:bg-slate-700 rounded-full flex items-center justify-center text-lg font-bold text-gray-400 uppercase">
            {{mb_substr($user->username, 0, 1)}}
        </div>
    @endif

    @if (Cache::has('user-status' . $user->id))
        <div class="absolute top-0 right-0 w-3 h-3 bg-green-500 border-2 border-white dark:border-slate-900 rounded-full"></div>
    @endif
</div>
